# OpenSource Projects Overview and Versions

## Composer

### Libraries

| Project | Issues | Current Version |
| --- | ---: | --- |
| [Composer.json Utilities](/composer/library/composer-json-utils) | [GitLab](https://gitlab.lakedrops.com/composer/library/composer-json-utils/-/issues) | 2.0.9 |
| [Traefik](/composer/library/traefik) | [GitLab](https://gitlab.lakedrops.com/composer/library/docker-traefik/-/issues) | 2.0.1 |

### Plugins

| Project | Issues | Current Version |
| --- | ---: | --- |
| [Ahoy](/composer/plugin/ahoy) | [GitLab](https://gitlab.lakedrops.com/composer/plugin/ahoy/-/issues) | 1.5.0 |
| [Behat for Drupal](/composer/plugin/b4d) | [GitLab](https://gitlab.lakedrops.com/composer/plugin/behat4drupal/-/issues) | 3.0.2 |
| [Docker for Drupal](/composer/plugin/d4d) | [GitLab](https://gitlab.lakedrops.com/composer/plugin/docker4drupal/-/issues) | 3.1.2 |
| [Dorgflow](/composer/plugin/dorgflow) | [GitLab](https://gitlab.lakedrops.com/composer/plugin/dorgflow/-/issues) | 1.9.1 |
| [Drupal 8 SASS Theme](/composer/plugin/d8-sass-theme) | [GitLab](https://gitlab.lakedrops.com/composer/plugin/drupal-8-sass-theme/-/issues) | 1.6.1 |
| [Drupal 8 Scaffold](/composer/plugin/d8-scaffold) | [GitLab](https://gitlab.lakedrops.com/composer/plugin/drupal-8-scaffold/-/issues) | 1.9.2 |
| [Drupal 9 Scaffold](/composer/plugin/d9-scaffold) | [GitLab](https://gitlab.lakedrops.com/composer/plugin/drupal-9-scaffold/-/issues) | 1.2.3 |
| [Drupal Development Environment](/composer/plugin/drupal-dev-environment) | [GitLab](https://gitlab.lakedrops.com/composer/plugin/drupal-development-environment/-/issues) | 3.0.2 |
| [Drupal Environment](/composer/plugin/drupal-environment) | [GitLab](https://gitlab.lakedrops.com/composer/plugin/drupal-environment/-/issues) | 3.0.3 |

### Projects

| Project | Issues | Current Version |
| --- | ---: | --- |
| [Drupal 8](/composer/project/d8) | [GitLab](https://gitlab.lakedrops.com/composer/project/drupal-8/-/issues) | 1.5.0 |
| [Drupal 8](/composer/project/d8-commerce) | [GitLab](https://gitlab.lakedrops.com/composer/project/drupal-8-commerce/-/issues) | 1.0.0 |
| [Drupal 8](/composer/project/d8-commerce-demo) | [GitLab](https://gitlab.lakedrops.com/composer/project/drupal-8-commerce-demo/-/issues) | 1.0.0 |
| [Drupal 9](/composer/project/d9) | [GitLab](https://gitlab.lakedrops.com/composer/project/drupal-9/-/issues) | 1.1.0 |

## Docker

| Project | Issues | Current Version |
| --- | ---: | --- |
| [GitLab Drupal CI](/docker/gitlab-drupal-ci) | [GitLab](https://gitlab.lakedrops.com/docker/gitlab-drupal-ci/-/issues) | 1.7.5 |
| [L3D](/docker/l3d) | [GitLab](https://gitlab.lakedrops.com/docker/l3d/-/issues) | 2.0.1 |
| [Maven](/docker/maven-build) | [GitLab](https://gitlab.lakedrops.com/docker/maven-build/-/issues) |  |
| [Node](/docker/node) | [GitLab](https://gitlab.lakedrops.com/docker/node/-/issues) |  |

## Drupal

| Project | Issues | Current Version |
| --- | ---: | --- |
| [Digital Signage Framework](https://www.drupal.org/project/digital_signage_framework) | [drupal.org](https://www.drupal.org/project/issues/digital_signage_framework) | 2.4.0 |
| - [signageOS](https://www.drupal.org/project/signageos) | [drupal.org](https://www.drupal.org/project/issues/signageos) | 2.4.0 |
| [Wayfinding](https://www.drupal.org/project/wayfinding) | [drupal.org](https://www.drupal.org/project/issues/wayfinding) | 2.1.1 |
| [Helpdesk Integration](https://www.drupal.org/project/helpdesk_integration) | [drupal.org](https://www.drupal.org/project/issues/helpdesk_integration) | 1.0.0 |
| - [Zammad](https://www.drupal.org/project/helpdesk_zammad) | [drupal.org](https://www.drupal.org/project/issues/helpdesk_zammad) | 1.0.0 |
| - [Zendesk](https://www.drupal.org/project/helpdesk_zendesk) | [drupal.org](https://www.drupal.org/project/issues/helpdesk_zendesk) | 1.0.x |
| [DMS Integration](#) | | |
| - [Internal](#) | | |
| - [NextCloud](#) | | |
| - [Sharepoint](#) | | |
| [DANSE](https://www.drupal.org/project/danse) Notifications | [drupal.org](https://www.drupal.org/project/issues/danse) | 2.1.0 |
| [Push Framework](https://www.drupal.org/project/push_framework) | [drupal.org](https://www.drupal.org/project/issues/push_framework) | 2.1.0 |
| - [Alerta](https://www.drupal.org/project/pf_alerta) | [drupal.org](https://www.drupal.org/project/issues/pf_alerta) | 2.1.0 |
| - [Email](https://www.drupal.org/project/pf_email) | [drupal.org](https://www.drupal.org/project/issues/pf_email) | 2.1.0 |
| - [Mattermost](https://www.drupal.org/project/pf_mattermost) | [drupal.org](https://www.drupal.org/project/issues/pf_mattermost) | 2.1.0 |
| - [OneSignal](https://www.drupal.org/project/pf_onesignal) | [drupal.org](https://www.drupal.org/project/issues/pf_onesignal) | 2.1.0 |
| - [Slack](https://www.drupal.org/project/pf_slack) | [drupal.org](https://www.drupal.org/project/issues/pf_slack) | 2.1.0 |
| - [Twilio](https://www.drupal.org/project/pf_twilio) | [drupal.org](https://www.drupal.org/project/issues/pf_twilio) |  |
| Helper Modules | | |
| - [Expose actions](https://www.drupal.org/project/expose_actions) | [drupal.org](https://www.drupal.org/project/issues/expose_actions) | 2.0.2 |
